{

	//开场演出测试

    "AbilityName" : "TestPlayer_Ability_Tianheng_22",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        {

            "$type" : "MoleMole.SetAnimCtrlerParamAction",

            "ParamType" : 1,

            "ParamName" : "Trigger_QuestStart",

            "Target" : "Self",

            "BoolVal" : true,

        },

        {  

            "$type" : "MoleMole.ActCameraShotAction",

            "CameraShotKey" : "Test_Anbi_QuestStart_01",

            "Target" : "Self",

        },

        {

            "$type": "MoleMole.ApplyAbilityAction",

            "AbilityName": "TestPlayer_Ability_Tianheng_23",

            "IsAutoTrigger": true,

            "Target" : "Self"

        },

        {

            "$type": "MoleMole.ApplyAbilityAction",

            "AbilityName": "TestPlayer_Ability_Tianheng_24",

            "IsAutoTrigger": true,

            "Target" : "Self"

        },

        {

            "$type":"MoleMole.ApplyModifier",

            "ModifierName":"CountDownModifier",

            "Target":"Self",

        }

    ],



    "Modifiers" : 

    {

        "CountDownModifier": 

        {

            "ModifierStacking" : "Refresh",

            "Duration": 6.5,

            "IgnoreTimeScale" : false,



            "OnAdded":

            [

                {

                    "$type" : "MoleMole.AttachHideUIAction",

                    "IsHide" : true,

                    "ToHideUITags" : 

                    [

                        "InLevelMainPage",

                        "HUDContainers",

                    ],

                },

            ],



            "OnRemoved":

            [

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 1,

                    "ParamName" : "Trigger_QuestStart_End",

                    "Target" : "Self",

                    "BoolVal" : true,

                },

                {

                    "$type" : "MoleMole.AttachHideUIAction",

                    "IsHide" : false,

                    "ToHideUITags" : 

                    [

                        "InLevelMainPage",

                    ],

                },

            ]

        },

    },

}